Summary:	DHCP Client Daemon
Name:		dhcpcd
Version:	6.10.0
Release:	%mkrel 1
License:	BSD-Like
Group:		System/Servers
URL:		http://roy.marples.name/projects/dhcpcd/
Source0:	http://roy.marples.name/downloads/dhcpcd/%{name}-%{version}.tar.xz
Patch1:		dhcpcd-6.1.0-fix-install-permissions.patch
Requires(post): rpm-helper

%description
dhcpcd is an RFC2131 compliant DHCP client. It is fully featured and yet
lightweight: the binary is 60k as reported by size(1) on Linux i386. It has
support for duplicate address detection, IPv4LL, carrier detection, and a
merged resolv.conf and ntp.conf for which other DHCP clients require third
party tools.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x	--bindir=/sbin \
		--libdir=/%{_lib} \
		--libexecdir=/%{_lib} \
		--with-hook=ntp.conf \
		--with-hook=yp.conf \
		--with-hook=ypbind \
		--without-udev

%serverbuild

%make

%install
%makeinstall_std

%files
%doc README
%config(noreplace) %{_sysconfdir}/dhcpcd.conf
/sbin/dhcpcd
%dir /%{_lib}/dhcpcd-hooks
/%{_lib}/dhcpcd-hooks/*
/%{_lib}/dhcpcd-run-hooks
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/hooks
%{_datadir}/%{name}/hooks/*
%{_mandir}/man5/dhcpcd.conf.5*
%{_mandir}/man8/dhcpcd.8*
%{_mandir}/man8/dhcpcd-run-hooks.8*


%changelog
* Sat Jan 16 2016 luigiwalser <luigiwalser> 6.10.0-1.mga5
+ Revision: 923453
- 6.10.0 (fixes CVE-2016-1503 and CVE-2016-1504)

* Fri Feb 13 2015 luigiwalser <luigiwalser> 6.7.1-1.mga5
+ Revision: 814855
- 6.7.1

* Sat Dec 20 2014 luigiwalser <luigiwalser> 6.6.7-1.mga5
+ Revision: 804378
- 6.6.7

* Tue Dec 02 2014 luigiwalser <luigiwalser> 6.6.4-1.mga5
+ Revision: 800323
- 6.6.4

* Thu Nov 20 2014 luigiwalser <luigiwalser> 6.6.2-1.mga5
+ Revision: 798014
- 6.6.2

* Mon Nov 03 2014 luigiwalser <luigiwalser> 6.6.0-1.mga5
+ Revision: 795347
- 6.6.0

* Wed Oct 15 2014 umeabot <umeabot> 6.5.0-2.mga5
+ Revision: 747536
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 6.5.0-1.mga5
+ Revision: 737592
- 6.5.0

* Tue Sep 16 2014 umeabot <umeabot> 6.4.3-2.mga5
+ Revision: 678732
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 luigiwalser <luigiwalser> 6.4.3-1.mga5
+ Revision: 658354
- 6.4.3

* Fri Jul 18 2014 luigiwalser <luigiwalser> 6.4.2-1.mga5
+ Revision: 653535
- 6.4.2

* Mon Jun 23 2014 luigiwalser <luigiwalser> 6.4.0-1.mga5
+ Revision: 639100
- 6.4.0

* Sat Mar 22 2014 luigiwalser <luigiwalser> 6.3.2-1.mga5
+ Revision: 606629
- 6.3.2

* Thu Mar 06 2014 luigiwalser <luigiwalser> 6.3.1-1.mga5
+ Revision: 600496
- 6.3.1

* Sat Mar 01 2014 luigiwalser <luigiwalser> 6.3.0-1.mga5
+ Revision: 598398
- 6.3.0

* Sun Feb 09 2014 luigiwalser <luigiwalser> 6.2.1-1.mga5
+ Revision: 586874
- 6.2.1

* Mon Oct 21 2013 umeabot <umeabot> 6.1.0-2.mga4
+ Revision: 537405
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 luigiwalser <luigiwalser> 6.1.0-1.mga4
+ Revision: 486928
- 6.1.0
- rediff perms patch

* Mon Aug 05 2013 luigiwalser <luigiwalser> 6.0.5-1.mga4
+ Revision: 463674
- 6.0.5

* Sun Jul 21 2013 luigiwalser <luigiwalser> 6.0.3-1.mga4
+ Revision: 456693
- 6.0.3

* Mon Apr 15 2013 luigiwalser <luigiwalser> 5.6.8-1.mga3
+ Revision: 410111
- 5.6.8

* Sun Feb 17 2013 luigiwalser <luigiwalser> 5.6.7-1.mga3
+ Revision: 398852
- 5.6.7

* Fri Jan 11 2013 umeabot <umeabot> 5.6.6-2.mga3
+ Revision: 348759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 5.6.6-1.mga3
+ Revision: 338323
- 5.6.6
- drop ghosted log file no longer needed (from mdv)

* Sat Sep 29 2012 luigiwalser <luigiwalser> 5.6.2-1.mga3
+ Revision: 300166
- 5.6.2

* Sun Jul 29 2012 luigiwalser <luigiwalser> 5.6.1-1.mga3
+ Revision: 275647
- 5.6.1

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5.5.6-1.mga2
+ Revision: 230825
- 5.5.6

* Sat Feb 18 2012 luigiwalser <luigiwalser> 5.5.4-1.mga2
+ Revision: 210567
- 5.5.4
- fix URL

* Mon Sep 05 2011 tv <tv> 5.2.12-1.mga2
+ Revision: 138934
- new version
- drop initscripts patch, fixed upstream now

* Tue Feb 08 2011 ennael <ennael> 5.2.7-1.mga1
+ Revision: 49030
- imported package dhcpcd

